--- perl-5.8.8.old/Configure	2006-01-08 15:51:03.000000000 +0100
+++ perl-5.8.8/Configure	2008-11-02 11:43:30.000000000 +0100
@@ -8938,7 +8938,7 @@
 : Look for a hint-file generated 'call-back-unit'.  If the
 : user has specified that a large files perl is to be built,
 : we may need to set or change some other defaults.
-if $test -f uselargefiles.cbu; then
+if $test -f uselargefiles.cbu && test "x$d_uselargefiles" = "x$define"; then
 	echo "Your platform has some specific hints regarding large file builds, using them..."
 	. ./uselargefiles.cbu
 fi
